@echo off
SetLocal EnableDelayedExpansion
REM /*************************************************************************
REM   *
REM   * IBM Confidential
REM   * OCO Source Materials
REM   * (C) Copyright IBM Corp.  2018 2019 2020
REM   * 
REM   * removeWKC.bat
REM  *************************************************************************

set CUR_DIR=%~dp0
set proceed=0 

REM the below code sets volatile environment variable %temp% to actual %temp% value i.e. by removing \1 or \2 or \3 subdirectory
set tmpdir=%temp%
echo %temp%|findstr /r ".\\[0-9]">nul 2>&1
if errorlevel 1 (
echo temp variable does not contain volatile environment path %temp%
) else (
echo temp variable contains volatile environment path '%temp%' and removing last character i.e 1 or 2 or 3 subfolder from path
set tmpdir=%temp:~0,-1%
)

echo %tmpdir%

set argC=0
for %%x in (%*) do Set /A argC+=1

echo Number of arguments: %argC%

if %argC% NEQ 3 (
 echo Required 3 arguments and passed %argC%
 echo Usage: removeWKC.bat masterhostname masterhostOSuser is_home
 set proceed=1
)

set MASTER_NODE_HOST=%1
set MASTER_NODE_USER=%2
set IS_HOME=%3

if %proceed% EQU 0 (

echo MASTER_NODE_HOST: %MASTER_NODE_HOST%
echo MASTER_NODE_USER: %MASTER_NODE_USER%
echo IS_HOME: %IS_HOME%

set TARGET_LOCATION=%MASTER_NODE_USER%@%MASTER_NODE_HOST%:/tmp
)
set is_file=%IS_HOME%/ASBServer/bin/iisAdmin.bat
if %proceed% EQU 0 (
	if exist %is_file% (
		echo %is_file% file exist

	) else (
		echo %is_file% file does not exist
		set proceed=1
	)
)

if %proceed% EQU 0 (
	
	scp %CUR_DIR%\undeployWKC.sh %CUR_DIR%\wkcimages*.txt %TARGET_LOCATION%
	REM #commands to run on remote host
	ssh -o StrictHostKeyChecking=no -tT  %MASTER_NODE_USER%@%MASTER_NODE_HOST%  "chmod +x /tmp/undeployWKC.sh;/tmp/undeployWKC.sh"

	echo Unset IISADMIN WKC properties........ 
%is_file% -unset -key com.ibm.iis.wkc.lite.deploy.flag
%is_file% -unset -key com.ibm.iis.launchpad.application.wkc.url
%is_file% -unset -key com.ibm.iis.launchpad.application.wkc.icon
%is_file% -unset -key com.ibm.iis.launchpad.application.wkc.name
%is_file% -unset -key com.ibm.iis.wkc.pro.deploy.flag
echo IISADMIN WKC properties were successfully unset !!

del %IS_HOME%\iso-swid\ibm.com_IBM_Watson_Knowledge_Catalog_Professional_on-prem-11.7.1.swidtag

echo WKC UNDEPLOYMENT WAS SUCCESSFUL

)






